package com.zehong.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 t_special_work_permit_sign
 * 
 * @author zehong
 * @date 2022-10-17
 */
public class TSpecialWorkPermitSign extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long signId;

    /** 作业证id */
    @Excel(name = "作业证id")
    private Long permitId;

    /** 签名人id */
    @Excel(name = "签名人id")
    private Long staffId;

    /** 签名人类型 */
    @Excel(name = "签名人类型")
    private String staffType;

    /** 签名img */
    @Excel(name = "签名img")
    private String signName;

    /** 意见 */
    @Excel(name = "意见")
    private String opinion;

    /** 年-月-日-时-分 */
    @Excel(name = "年-月-日-时-分")
    private String signDate;

    public void setSignId(Long signId) 
    {
        this.signId = signId;
    }

    public Long getSignId() 
    {
        return signId;
    }
    public void setPermitId(Long permitId) 
    {
        this.permitId = permitId;
    }

    public Long getPermitId() 
    {
        return permitId;
    }
    public void setStaffId(Long staffId) 
    {
        this.staffId = staffId;
    }

    public Long getStaffId() 
    {
        return staffId;
    }
    public void setStaffType(String staffType) 
    {
        this.staffType = staffType;
    }

    public String getStaffType() 
    {
        return staffType;
    }
    public void setSignName(String signName) 
    {
        this.signName = signName;
    }

    public String getSignName() 
    {
        return signName;
    }
    public void setOpinion(String opinion) 
    {
        this.opinion = opinion;
    }

    public String getOpinion() 
    {
        return opinion;
    }
    public void setSignDate(String signDate) 
    {
        this.signDate = signDate;
    }

    public String getSignDate() 
    {
        return signDate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("signId", getSignId())
            .append("permitId", getPermitId())
            .append("staffId", getStaffId())
            .append("staffType", getStaffType())
            .append("signName", getSignName())
            .append("opinion", getOpinion())
            .append("signDate", getSignDate())
            .append("createTime", getCreateTime())
            .toString();
    }
}
